Plant Tissue Analyses - List By Farmer Id
返回特定农民下的植物组织分析资源的分页列表。
GET /farmers/{farmerId}/plant-tissue-analyses?api-version=2021-07-31-preview
GET /farmers/{farmerId}/plant-tissue-analyses?seasonIds={seasonIds}&cropIds={cropIds}&cropVarietiesIds={cropVarietiesIds}&fieldIds={fieldIds}&ids={ids}&names={names}&propertyFilters={propertyFilters}&statuses={statuses}&minCreatedDateTime={minCreatedDateTime}&maxCreatedDateTime={maxCreatedDateTime}&minLastModifiedDateTime={minLastModifiedDateTime}&maxLastModifiedDateTime={maxLastModifiedDateTime}&$maxPageSize={$maxPageSize}&$skipToken={$skipToken}&api-version=2021-07-31-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
farmer
|
path | True |
string |
相关农民的 ID。 |
|
api-version
|
query | True |
string |
请求的 API 版本 |
|
$max
|
query |
integer (int32) minimum: 10maximum: 1000 |
所需的项数上限(含)。 最小值 = 10,最大值 = 1000,默认值 = 50。 |
|
|
$skip
|
query |
string |
跳过令牌以获取下一组结果。 |
|
|
crop
|
query |
string[] |
植物组织分析的作物 ID。 |
|
|
crop
|
query |
string[] |
植物组织分析的作物品种 ID。 |
|
|
field
|
query |
string[] |
植物组织分析的田间 ID。 |
|
|
ids
|
query |
string[] |
资源的 ID。 |
|
|
max
|
query |
string (date-time) |
资源的最大创建日期(含)。 |
|
|
max
|
query |
string (date-time) |
资源(含)上次修改日期上限。 |
|
|
min
|
query |
string (date-time) |
资源(含)的最小创建日期。 |
|
|
min
|
query |
string (date-time) |
资源(含)的上次修改日期(含)。 |
|
|
names
|
query |
string[] |
资源的名称。 |
|
|
property
|
query |
string[] |
筛选 Properties 对象中的键值对。 例如 “{testKey} eq {testValue}”。 |
|
|
season
|
query |
string[] |
植物组织分析的季节 ID。 |
|
|
statuses
|
query |
string[] |
资源的状态。 |
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| Authorization | True |
string |
请为授权的 API 调用提供有效的持有者令牌。 请注意,如果之前尝试了未经身份验证的调用,可能需要清除浏览器缓存。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
成功 |
|
| Other Status Codes |
错误 标头 x-ms-error-code: string |
安全性
Authorization
请为授权的 API 调用提供有效的持有者令牌。 请注意,如果之前尝试了未经身份验证的调用,可能需要清除浏览器缓存。
类型:
apiKey
在:
header
示例
PlantTissueAnalyses_ListByFarmerId
示例请求
GET /farmers/FARMER123/plant-tissue-analyses?api-version=2021-07-31-preview
示例响应
{
"value": [
{
"farmerId": "FARMER123",
"id": "PLANTTISSUEANALYSIS123",
"seasonId": "Season123",
"cropId": "Crop123",
"cropVarietyId": "CropVariety123",
"fieldId": "Field123",
"plantingDateTime": "2021-04-21T06:49:30Z",
"plantPart": "PlantPart",
"plantPosition": "PlantPosition",
"plantAppearance": "PlantAppearance",
"sampleCollectionCondition": "SampleCollectionCondition",
"sampleCollectionDateTime": "2021-04-21T06:49:30Z",
"sampleReceivedDateTime": "2021-04-22T06:49:30Z",
"sampleTestResultDateTime": "2021-04-23T06:49:30Z",
"labDetails": {
"code": "LabId",
"name": "Name",
"address": "Address",
"description": "Description of the object being created"
},
"name": "John Smith's ManagementZone",
"status": "Active",
"description": "Some description",
"properties": {
"Irrigated": "Yes"
},
"createdDateTime": "2021-04-21T06:49:30Z",
"modifiedDateTime": "2021-04-21T06:49:30Z",
"eTag": "0f8fad5b-d9cb-469f-a165-70867728950e",
"attachmentsLink": "https://<resource-name>.farmbeats.azure.net/farmer/{{farmerId}}/attachments?api-version={{apiVersion}}&resourceIds={{plantTissueAnalysisId}}&resourceTypes=PlantTissueAnalysis"
}
],
"$skipToken": "string",
"nextLink": "https://{{resourceName}}.farmbeats.azure.net/farmers/{{farmerId}}/plant-tissue-analyses?api-version={{apiVersion}}&$skipToken=%5b%7b%22token%22%3a%22%2bRID%3a%7e23TRC%3a10%23ISA%3d%22%2c%22range%22%3a%7b%22min%22%3a%22%22%2c%22max%22%3a%22FF%22%7d%7d%5d"
}
定义
| 名称 | 说明 |
|---|---|
| Error |
Azure AgPlatform 服务中的错误。 |
|
Error |
Azure AgPlatform 服务的错误响应。 <参见 href=“https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses">ErrorResponse 参考文档。</see> 中。 |
|
Inner |
包含错误列表的内部错误。 <参见 href=“https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object">InnerError 参考文档</参见>。 |
|
Lab |
表示 LabDetails 对象的模型。 |
|
Plant |
植物组织分析对象的 Api 模型。 |
|
Plant |
分页响应包含请求的对象列表和 URL 链接,用于获取下一组结果。 |
Error
Azure AgPlatform 服务中的错误。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
服务器定义的错误代码集。 |
| details |
Error[] |
导致此报告错误的特定错误的详细信息数组。 |
| innererror |
包含错误列表的内部错误。 <参见 href=“https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object">InnerError 参考文档</参见>。 |
|
| message |
string |
错误的人工可读表示形式。 |
| target |
string |
错误的目标。 |
ErrorResponse
Azure AgPlatform 服务的错误响应。 <参见 href=“https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses">ErrorResponse 参考文档。</see> 中。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
Azure AgPlatform 服务中的错误。 |
|
| traceId |
string |
唯一跟踪 ID。 |
InnerError
包含错误列表的内部错误。 <参见 href=“https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object">InnerError 参考文档</参见>。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
包含的错误提供的特定错误代码。 |
| innererror |
包含错误列表的内部错误。 <参见 href=“https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object">InnerError 参考文档</参见>。 |
LabDetails
表示 LabDetails 对象的模型。
| 名称 | 类型 | 说明 |
|---|---|---|
| address |
string minLength: 0maxLength: 500 |
资源的地址。 |
| code |
string minLength: 0maxLength: 150 |
资源的代码。 |
| description |
string minLength: 0maxLength: 500 |
资源的说明。 |
| name |
string minLength: 0maxLength: 100 |
资源的名称。 |
PlantTissueAnalysis
植物组织分析对象的 Api 模型。
| 名称 | 类型 | 说明 |
|---|---|---|
| attachmentsLink |
string |
附件链接。 |
| createdDateTime |
string (date-time) |
创建资源的日期时间,示例格式:yyyy-MM-ddTHH:mm:ssZ。 |
| cropId |
string |
关联的裁剪的 ID。 |
| cropVarietyId |
string |
关联的裁剪品种的 ID。 |
| description |
string minLength: 0maxLength: 500 |
资源的文本说明。 |
| eTag |
string |
实现乐观并发的 ETag 值。 |
| farmerId |
string |
关联的农民的 ID。 |
| fieldId |
string |
关联的字段的 ID。 |
| growthStage |
string minLength: 0maxLength: 200 |
这种植物组织分析的生长阶段。 |
| id |
string |
唯一的资源 ID。 |
| labDetails |
表示 LabDetails 对象的模型。 |
|
| modifiedDateTime |
string (date-time) |
上次修改资源的日期时间,示例格式:yyyy-MM-ddTHH:mm:ssZ。 |
| name |
string minLength: 0maxLength: 100 |
用于标识资源的名称。 |
| plantAppearance |
string minLength: 0maxLength: 500 |
植物组织分析的植物外观。 |
| plantPart |
string minLength: 0maxLength: 200 |
植物组织分析的植物部分。 |
| plantPosition |
string minLength: 0maxLength: 200 |
植物组织分析的植物位置。 |
| plantingDateTime |
string (date-time) |
此植物组织分析的种植日期时间。 |
| properties |
属于资源的键值对的集合。 每对不能具有大于 50 个字符的键,并且不能具有大于 150 个字符的值。 注意:最多可以为资源提供 25 个键值对,仅支持字符串、数字和日期/时间(yyyy-MM-ddTHH:mm:ssZ) 值。 |
|
| sampleCollectionCondition |
string minLength: 0maxLength: 500 |
此植物组织分析的示例收集条件。 |
| sampleCollectionDateTime |
string (date-time) |
此植物组织分析的示例收集日期时间。 |
| sampleReceivedDateTime |
string (date-time) |
收到的示例 dateTime。 |
| sampleTestResultDateTime |
string (date-time) |
此植物组织分析的示例测试结果日期时间。 |
| seasonId |
string |
关联的季节的 ID。 |
| source |
string minLength: 2maxLength: 100 |
资源的源。 |
| status |
string minLength: 0maxLength: 100 |
资源的状态。 |
PlantTissueAnalysisListResponse
分页响应包含请求的对象列表和 URL 链接,用于获取下一组结果。
| 名称 | 类型 | 说明 |
|---|---|---|
| $skipToken |
string |
用于检索下一页的令牌。 如果为 null,则没有其他页面。 |
| nextLink |
string |
指向列表中的下一页结果的延续链接(绝对 URI)。 |
| value |
请求的对象列表。 |